# Generated by Django 4.1.7 on 2023-03-16 13:46

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('schemas', '0005_remove_column_separator_remove_column_string_quote'),
    ]

    operations = [
        migrations.CreateModel(
            name='GeneratedData',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('num_records', models.PositiveIntegerField()),
                ('filepath', models.CharField(max_length=255)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(choices=[('pending', 'Pending'), ('completed', 'Completed'), ('failed', 'Failed')], default='pending', max_length=10)),
                ('schema', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='schemas.dataschema')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.DeleteModel(
            name='GeneratedCSV',
        ),
    ]
